<div class="row">
  <div class="col-12">
    <div class="edgar-overlap border">
      <code-mirror
        [initialCode]="getCurrText()"
        [questionType]="currQuestion.type"
        [cmSkin]="cmSkin"
        (codeChanged)="onTextChanged($event)"
      ></code-mirror>
      <div class="edgar-right-overlap">
        <button
          class="btn btn-success col-1 edgar-overlap-btn-w"
          type="submit"
          [disabled]="saved"
          (click)="save()"
        >
          Save
        </button>
      </div>
    </div>
  </div>
</div>
